# $Revision: 1.22 $, $Date: 2007/01/31 17:53:28 $
Summary:	RPM installer/updater
Summary(pl):	Narzdzie do instalowania/uaktualniania pakietw RPM
Name:		yum
Version:	2.6.1
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://linux.duke.edu/projects/yum/download/2.6/%{name}-%{version}.tar.gz
# Source0-md5:	2dc94410341ef7f4171a7ecdc00be5bf
Patch0:		%{name}-chroot.patch
URL:		http://linux.duke.edu/projects/yum/
BuildRequires:	gettext-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	python
Requires:	python-cElementTree >= 1.0.5
Requires:	python-libxml2
Requires:	python-rpm
Requires:	python-sqlite1
Requires:	python-urlgrabber
Requires:	rc-scripts
Requires:	rpm
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded
automatically prompting the user as necessary.

%description -l pl
Yum to narzdzie sprawdzajce i automatycznie cigajce i instalujce
uaktualnione pakiety RPM. Zalenoci s cigane automatycznie po
zapytaniu uytkownika w razie potrzeby.

%prep
%setup -q
#%patch0 -p1 CHECKME

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYLIBDIR=%{py_sitescriptdir}/..

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
%service yum restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del yum
	%service -q yum stop
fi

%files
%defattr(644,root,root,755)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum.conf
%dir %{_sysconfdir}/yum
%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yum/yum-daily.yum
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(755,root,root) %{_bindir}/yum
%attr(755,root,root) %{_bindir}/yum-arch
%attr(755,root,root) /etc/cron.daily/yum.cron
%attr(755,root,root) /etc/cron.weekly/yum.cron
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %{py_sitescriptdir}/yum
%dir %{py_sitescriptdir}/repomd
%dir %{py_sitescriptdir}/rpmUtils
%{py_sitescriptdir}/*/*.py[co]
%{_datadir}/yum-cli
/var/cache/yum
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yum.spec,v $
Revision 1.22  2007/01/31 17:53:28  glen
- add add /etc/yum.repos.d as %dir; rel 2

Revision 1.21  2006/10/03 22:31:32  aredridel
- add /etc/yum as %dir

Revision 1.20  2006/05/18 18:10:07  glen
- rel 1

Revision 1.19  2006/05/16 19:17:05  glen
- 2.6.1

Revision 1.18  2006/03/04 19:21:20  glen
- require python-cElementTree with fixed deps instead

Revision 1.17  2006/03/04 04:32:51  aredridel
- depend on python-elementtree, not python-cElementTree

Revision 1.16  2005/10/22 22:42:42  glen
- updated to 2.4.0

Revision 1.15  2005/10/22 21:34:40  glen
- cron.daily contains scripts

Revision 1.14  2005/10/22 21:28:40  glen
- %py_postclean to kill .py sources

Revision 1.13  2005/10/22 21:25:29  glen
- add %service restart, fix chkconfig dep

Revision 1.12  2005/10/22 21:24:04  glen
- adapterized

Revision 1.11  2005/10/22 21:23:04  glen
- add md5, drop old changelog

Revision 1.10  2005/07/07 05:11:10  aredridel
- add chroot patch

Revision 1.9  2005/07/06 21:36:31  aredridel
- actually make that work

Revision 1.8  2005/07/06 21:29:11  aredridel
- install in py_sitescriptdir, fix amd64

Revision 1.7  2005/07/06 20:45:11  aredridel
- up to 2.2.2

Revision 1.6  2004/09/29 16:35:15  kolodko
- added macros in /etc/logrotate.d

Revision 1.5  2004/09/10 21:36:50  dzeus
- updated to 2.0.8

Revision 1.4  2004/07/07 08:26:50  aredridel
- br: gettext-devel
- fix location of init script

Revision 1.3  2004/06/27 12:11:16  qboosh
- pl, some cleanups

Revision 1.2  2004/06/26 22:59:44  aredridel
- added Requires: python-rpm

Revision 1.1  2004/06/26 21:18:05  aredridel
- added
